---
title: WebGLRenderingContext.lineWidth()
slug: Web/API/WebGLRenderingContext/lineWidth
tags:
  - API
  - Method
  - Reference
  - WebGL
  - WebGLRenderingContext
---
<div>{{APIRef("WebGL")}}</div>

<p>The <strong><code>WebGLRenderingContext.lineWidth()</code></strong> method of the <a href="/en-US/docs/Web/API/WebGL_API">WebGL API</a> sets the line width of rasterized lines.</p>

<div class="warning">
<p>The webgl spec, based on the OpenGL ES 2.0/3.0 specs points out that the minimum and maximum width for a line is implementation defined. The maximum minimum width is allowed to be 1.0. The minimum maximum width is also allowed to be 1.0. Because of these implementation defined limits it is not recommended to use line widths other than 1.0 since there is no guarantee any user's browser will display any other width.</p>

<p>As of January 2017 most implementations of WebGL only support a minimum of 1 and a maximum of 1 as the technology they are based on has these same limits.</p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">void <var>gl</var>.lineWidth(<var>width</var>);
</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt>width</dt>
 <dd>A {{domxref("GLfloat")}} specifying the width of rasterized lines. Default value: 1.</dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>None.</p>

<h2 id="Examples">Examples</h2>

<p>Setting the line width:</p>

<pre class="brush: js">gl.lineWidth(5);</pre>

<p>Getting the line width:</p>

<pre class="brush: js">gl.getParameter(gl.LINE_WIDTH);</pre>

<p>Getting the range of available widths. Returns a {{jsxref("Float32Array")}}.</p>

<pre class="brush: js">gl.getParameter(gl.ALIASED_LINE_WIDTH_RANGE);</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('WebGL', "#5.14.3", "lineWidth")}}</td>
   <td>{{Spec2('WebGL')}}</td>
   <td>Initial definition.</td>
  </tr>
  <tr>
   <td>{{SpecName('OpenGL ES 2.0', "glLineWidth.xml", "glLineWidth")}}</td>
   <td>{{Spec2('OpenGL ES 2.0')}}</td>
   <td>Man page of the OpenGL API.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p class="hidden">The compatibility table in this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</p>

<p>{{Compat("api.WebGLRenderingContext.lineWidth")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("WebGLRenderingContext")}}</li>
</ul>
